Send File to User (In-App RA IDV Statement)

Send file to user for one-time signing (via agent).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Valid values:

"vendorNumber": string

"smsType": integer, valid values: 1 - code, 2 - link, 3 - code & link

"user":
For Bulgarian users has to be provided "documentNumber" and at least one of the "identificationNumber" or the three names. If the "identificationNumber" is provided, a check in the national register will be performed.
For Macedonian users has to be provided "documentNumber", "identificationNumber", "firstName" and "lastName".
For users from other countries has to be provided "documentNumber", "firstName" and "lastName". Parameters "identificationNumber" and "middleName" are not used.
"country": Valid values are the ISO 3166-1 alpha-2 codes. Default value is "BG".
"identificationNumber": It’s used only if the country is "BG".
"documentNumber": Required parameter.
"firstName": Allowed characters "[A-Za-z' -]"
"middleName": It’s used only if the country is "BG". Allowed characters "[A-Za-z' -]"
"lastName": Allowed characters "[A-Za-z' -]"
"phone": Should match the following pattern "+[0-9]"
"email": Optional parameter. If provided the certificate and signed documents will be sent to it.
"language": Optional parameter. Valid values are "bg", "en", "de", "hu", "sq", "ro", "fr", "it", "mk".
"documentType": Optional parameter. Valid values are "IDcard", "Passport". Default value is "IDcard".

"document"
"description": max chars 4000
"coverage": 0, 500, 2000, 20000, 100000, 250000. The amount is in euro. 0 stands for unlimited. 1 stands for no coverage
"certificateType": "integer" valid values 1 - Qualified еSign (qualified certificate); 2 - Advanced еSign (qualified certificate); 3 - Advanced eSign (advanced certificate);
"checksumDocument": SHA-512 of the file.
"annotationParameters": Optional. If used can appear up to 4 times.
"annotationText": mandatory, up to 255 symbols
"fontName": mandatory
"fontSize": mandatory. Must be a whole digit between 3 and 72
"fontColor": mandatory. Must be in CSS hex notation between “#000000” and “#ffffff” (“#000000” for black)
"axisX": mandatory, integer. - Must be between 0 and 596 (for A4) or 612 (for Letter)
"asixY": mandatory, integer. Must be between 0 and 843 (for A4) or 792 (for Letter)
"page": mandatory, integer. “0” for all pages, 1 … to specify the exact page number

"signInfo"
"type": "PDF1" (PDF Baseline), "PDF2" (PDF Baseline + Long Term), "PDF3" (PDF Baseline + Timestamp), "XML1" (XML Baseline), "XML2" (XML Baseline + Long Term), "XML3" (XML Baseline), "XML4" (XML Baseline + Long Term), "CAD1" (Sign any file type), "CAD2" (Sign any file type with timestamp)
"algorithm": "SHA256"

"agent":
One of the agent identifier has to be provided:

  • "identificationNumber" and "country" for manual signing;
  • "phone" for manual signing;
  • "automatedSignCertID" for automated signing;
  • "automatedSignSealID" for automated signing.

"identificationNumber": Personal identification number.
"country": Optional with default value "BG". Valid values are the ISO 3166-1 alpha-2 codes.
"phone": Should match the following pattern "+[0-9]"
"automatedSignCertID": Should match the following pattern "[a-zA-Z0-9-]36"
"automatedSignSealID": Should match the following pattern "[a-zA-Z0-9-]36"

"urlCallback": Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust Vendor callback API is used.

Body Params
document
object

File bytes. File name limitation up to 100 characters. Forbidden symbols in the file name <>:"/|?*'!#$%&+=

json

JSON string with structure
{
"user": {
"country": "string",
"identificationNumber": "string",
"documentNumber": "string",
"firstName": "string",
"middleName": "string",
"lastName": "string",
"phone": "string",
"email": "string",
"language": "string",
"documentType": "string"
},
"agent": {
"identificationNumber": "string",
"country": "string",
"phone": "string",
"automatedSignCertID": "string",
"automatedSignSealID": "string"
},
"document": {
"description": "string",
"coverage": 0,
"certificateType": 0,
"checksumDocument": "string",
"annotationParameters": [{
"annotationText": "string",
"fontName": "string",
"fontSize": "integer",
"fontColor": "string",
"axisX": "integer",
"axisY": "integer",
"page": "integer"
}]
},
"signInfo": {
"type": "string",
"algorithm": "string"
},
"vendorNumber": "string",
"smsType": 0,
"agentIdentificationNumber": "string",
"publicKey": "string",
"urlCallback": "string"
}

Headers
string
required

Authorization value.

Responses
200

Document added success

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json